This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1064841 - drupal6-filefield: access bypass
drupal6-filefield: access bypass
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140212,repor...
: Security
Depends On: 1064842 1064843
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-13 07:10 EST by Murray McAllister
Modified: 2015-07-31 03:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 18:57:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-02-13 07:10:27 EST
An access bypass was discovered in the FileField module. This could allow a user to gain access to files attached to a revision they would otherwise not have access to:

https://drupal.org/node/2194639

This issue is resolved in version 6.x-3.12:

https://drupal.org/node/2194103
Comment 1 Murray McAllister 2014-02-13 07:11:59 EST
Created drupal6-filefield tracking bugs for this issue:

Affects: fedora-all [bug 1064842]
Affects: epel-all [bug 1064843]
Comment 2 Fedora Update System 2014-03-01 09:08:12 EST
drupal6-filefield-3.12-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2014-03-01 09:09:28 EST
drupal6-filefield-3.12-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2014-03-06 16:11:56 EST
drupal6-filefield-3.12-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2014-03-06 16:14:07 EST
drupal6-filefield-3.12-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Shawn Iwinski 2014-03-07 14:31:31 EST
All dependant bugs are closed.  Should the packager close this bug or should you?
Comment 7 Murray McAllister 2014-03-10 18:56:57 EDT
Hi Shawn,

Thanks for the fast fixes with these! The Security Response Team closes these ones (the ones filed against the "Security Response" Product).

Note You need to log in before you can comment on or make changes to this bug.